Package Details: lives 2.6.3-2

Git Clone URL: https://aur.archlinux.org/lives.git (read-only)
Package Base: lives
Description: A Video Editing System
Upstream URL: http://lives-video.com
Licenses: GPL
Submitter: encelo
Maintainer: encelo
Last Packager: encelo
Votes: 195
Popularity: 0.245416
First Submitted: 2005-07-31 22:25
Last Updated: 2016-07-06 12:56

Latest Comments

rtfreedman commented on 2016-07-22 20:01

For now, you can uninstall opencv and build
or patch the source (removing toonz.cpp from Makefile.am) prior building
or build in chroot without opencv

There is already a bug report
https://sourceforge.net/p/lives/bugs/217/

This patch https://ptpb.pw/VZ9f disables toonz.cpp
Check here https://ptpb.pw/NlcQ for using the patch

jumaxotl commented on 2016-07-18 08:32

Same issue apparently :


toonz.cpp:783:60: required from here
toonz.cpp:364:28: error: 'rbern' was not declared in this scope
toonz.cpp:360:20: warning: unused variable 'g' [-Wunused-variable]
uchar const* g = grayscale.ptruchar const(y);
^
toonz.cpp:354:17: warning: unused variable 'norm_const' [-Wunused-variable]
float const norm_const = 1.0f / std::numeric_limitsuchar::max();
^~~~~~~~~~
toonz.cpp:357:14: warning: unused variable 'seed' [-Wunused-variable]
unsigned seed = std::chrono::system_clock::now().time_since_epoch().count();
^~~~
toonz.cpp: In instantiation of 'int phatch_kernel(cv::Mat, cv::Mat, int, weed_plant_t**) [with VecT = cv::Vecunsigned char, 3; weed_plant_t = weed_leaf]':
toonz.cpp:785:60: required from here
toonz.cpp:364:28: error: 'rbern' was not declared in this scope
n[x] = rbern(engine) ? std::numeric_limitsuchar::max() : 0;
^
toonz.cpp:360:20: warning: unused variable 'g' [-Wunused-variable]
uchar const* g = grayscale.ptruchar const(y);
^
toonz.cpp:354:17: warning: unused variable 'norm_const' [-Wunused-variable]
float const norm_const = 1.0f / std::numeric_limitsuchar::max();
^~~~~~~~~~
toonz.cpp:357:14: warning: unused variable 'seed' [-Wunused-variable]
unsigned seed = std::chrono::system_clock::now().time_since_epoch().count();
^~~~
make[3]: *** [Makefile:1604: toonz_la-toonz.lo] Error 1
make[3]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-lives/src/lives-2.6.3/lives-plugins/weed-plugins'
make[2]: *** [Makefile:1623: all-recursive] Error 1
make[2]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-lives/src/lives-2.6.3/lives-plugins/weed-plugins'
make[1]: *** [Makefile:513: all-recursive] Error 1
make[1]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-lives/src/lives-2.6.3/lives-plugins'
make: *** [Makefile:642: all-recursive] Error 1
== ERROR: A failure occurred in build().
Aborting...
== ERROR: Makepkg was unable to build lives.

ArnaudNux commented on 2016-07-16 14:35

toonz.cpp: In function 'int phatch_kernel(cv::Mat&, cv::Mat&, int, weed_plant_t**)':
toonz.cpp:358:5: error: 'mt19937_64' is not a member of 'std'
std::mt19937_64 engine(seed);
^~~
toonz.cpp:363:9: error: 'bernoulli_distribution' is not a member of 'std'
std::bernoulli_distribution rbern(g[x] * norm_const);
^~~
toonz.cpp:364:22: error: 'engine' was not declared in this scope
n[x] = rbern(engine) ? std::numeric_limits<uchar>::max() : 0;
^~~~~~
toonz.cpp:364:28: error: there are no arguments to 'rbern' that depend on a template parameter, so a declaration of 'rbern' must be available [-fpermissive]
n[x] = rbern(engine) ? std::numeric_limits<uchar>::max() : 0;
^
toonz.cpp:364:28: note: (if you use '-fpermissive', G++ will accept your code, but allowing the use of an undeclared name is deprecated)
toonz.cpp: In instantiation of 'int phatch_kernel(cv::Mat&, cv::Mat&, int, weed_plant_t**) [with VecT = cv::Vec<unsigned char, 4>; weed_plant_t = weed_leaf]':
toonz.cpp:783:60: required from here
toonz.cpp:364:28: error: 'rbern' was not declared in this scope
toonz.cpp:360:20: warning: unused variable 'g' [-Wunused-variable]
uchar const* g = grayscale.ptr<uchar const>(y);
^
toonz.cpp:354:17: warning: unused variable 'norm_const' [-Wunused-variable]
float const norm_const = 1.0f / std::numeric_limits<uchar>::max();
^~~~~~~~~~
toonz.cpp:357:14: warning: unused variable 'seed' [-Wunused-variable]
unsigned seed = std::chrono::system_clock::now().time_since_epoch().count();
^~~~
toonz.cpp: In instantiation of 'int phatch_kernel(cv::Mat&, cv::Mat&, int, weed_plant_t**) [with VecT = cv::Vec<unsigned char, 3>; weed_plant_t = weed_leaf]':
toonz.cpp:785:60: required from here
toonz.cpp:364:28: error: 'rbern' was not declared in this scope
n[x] = rbern(engine) ? std::numeric_limits<uchar>::max() : 0;
^
toonz.cpp:360:20: warning: unused variable 'g' [-Wunused-variable]
uchar const* g = grayscale.ptr<uchar const>(y);
^
toonz.cpp:354:17: warning: unused variable 'norm_const' [-Wunused-variable]
float const norm_const = 1.0f / std::numeric_limits<uchar>::max();
^~~~~~~~~~
toonz.cpp:357:14: warning: unused variable 'seed' [-Wunused-variable]
unsigned seed = std::chrono::system_clock::now().time_since_epoch().count();
^~~~
make[3]: *** [Makefile:1604: toonz_la-toonz.lo] Error 1
make[3]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-lives/src/lives-2.6.3/lives-plugins/weed-plugins'
make[2]: *** [Makefile:1623: all-recursive] Error 1
make[2]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-lives/src/lives-2.6.3/lives-plugins/weed-plugins'
make[1]: *** [Makefile:513: all-recursive] Error 1
make[1]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-lives/src/lives-2.6.3/lives-plugins'
make: *** [Makefile:642: all-recursive] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build lives.
==> Restart building lives ? [y/N]
==> ------------------------------
==>

encelo commented on 2016-07-04 12:45

Updated to 2.6.3
Many thanks to rtfreedman. :-)

cokomoko commented on 2016-06-06 00:00

return PIX_FMT_UYYVYY411;
^~~~~~~~~~~~~~~~~
/usr/include/weed/weed-compat.h:680:12: hata: 'PIX_FMT_GRAY8' undeclared (first use in this function)
return PIX_FMT_GRAY8;
^~~~~~~~~~~~~
/usr/include/weed/weed-compat.h:682:12: hata: 'PIX_FMT_MONOBLACK' undeclared (first use in this function)
return PIX_FMT_MONOBLACK;
^~~~~~~~~~~~~~~~~
/usr/include/weed/weed-compat.h:685:12: hata: 'PIX_FMT_NONE' undeclared (first use in this function)
return PIX_FMT_NONE;
^~~~~~~~~~~~
colourspace.c: 'weed_palette_is_resizable' işlevinde:
colourspace.c:10243:3: hata: void ifade kullanımı geçersiz
if (in_out&&sws_isSupportedInput(weed_palette_to_avi_pix_fmt(pal,&clamped))) return TRUE;
^~
colourspace.c:10244:3: hata: void ifade kullanımı geçersiz
else if (sws_isSupportedOutput(weed_palette_to_avi_pix_fmt(pal,&clamped))) return TRUE;
^~~~
colourspace.c: 'resize_layer' işlevinde:
colourspace.c:10568:12: hata: void değer yoksayılması gerekirken yoksayılmadı
ipixfmt=weed_palette_to_avi_pix_fmt(palette,&iclamped);
^
colourspace.c:10569:12: hata: void değer yoksayılması gerekirken yoksayılmadı
opixfmt=weed_palette_to_avi_pix_fmt(opal_hint,&oclamp_hint);
^
make[1]: *** [Makefile:1020: colourspace.o] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-cokomoko/aur-lives/src/lives-2.6.3/src'
make: *** [Makefile:642: all-recursive] Error 1
==> HATA: build() içinde bir hata oluştu.
Çıkılıyor...

rtfreedman commented on 2016-05-22 18:59

2.6.3 builds with ffmpeg2.8 and
'PKG_CONFIG_PATH="/usr/lib/ffmpeg2.8/pkgconfig" ./configure ...'

rtfreedman commented on 2016-05-09 18:33

LiVES 2.6.3 is out (8 May 2016)!

blackhole commented on 2016-03-26 16:16

No, but now that the last git of kdenlive is working without crash. I will go back to it.

c0da commented on 2016-03-26 14:16

I cannot compile too. The error is same. @blackhole, maybe you have found some patches?

blackhole commented on 2016-03-21 12:01

I cannot compile:

../libweed/weed-compat.h:598:50: error: parameter 1 (‘pix_fmt’) has incomplete type
int avi_pix_fmt_to_weed_palette(enum PixelFormat pix_fmt, int *clamped) {
^
../libweed/weed-compat.h: In function ‘avi_pix_fmt_to_weed_palette’:
../libweed/weed-compat.h:602:8: error: ‘PIX_FMT_RGB24’ undeclared (first use in this function)

etc.

encelo commented on 2016-02-13 12:44

Updated to 2.6.0

encelo commented on 2016-01-30 15:44

Updated to 2.4.8

rtfreedman commented on 2016-01-24 23:03

Version 2.4.8 (24 Jan 2016)

encelo commented on 2015-12-23 11:07

Updated to 2.4.6

encelo commented on 2015-12-13 12:23

Updated to 2.4.5

encelo commented on 2015-11-24 00:58

Updated to 2.4.4

encelo commented on 2015-11-21 12:19

Updated to 2.4.3

rtfreedman commented on 2015-11-18 15:48

>Updated to 2.4.2
AUR shows it is still at 2.4.1 :(
Anyway, current release is 2.4.3

encelo commented on 2015-09-13 15:23

Updated to 2.4.2

encelo commented on 2015-08-22 13:06

Updated to 2.4.1

snarfies commented on 2015-07-22 02:04

callbacks.o: In function `on_paste_as_new_activate':
callbacks.c:(.text+0x2e17): undefined reference to `count_virtual_frames'
callbacks.o:callbacks.c:(.text+0x6eb9): more undefined references to `count_virtual_frames' follow
collect2: error: ld returned 1 exit status
Makefile:720: recipe for target 'lives-exe' failed
make[1]: *** [lives-exe] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-erik/aur-lives/src/lives-2.2.8/src'
Makefile:620: recipe for target 'all-recursive' failed

dsb005 commented on 2015-04-21 16:27

i tried installing it and i get this build error:

"recipe for target 'all-recursive' failed"

dsb005 commented on 2015-04-21 16:26

i tried installing it and i get this build erros: recipe for target 'all-recursive' failed

encelo commented on 2015-02-13 23:06

Updated to 2.2.8

encelo commented on 2014-12-30 18:28

Updated to 2.2.7

encelo commented on 2014-08-26 23:32

Updated to 2.2.6

Calimero commented on 2014-08-03 11:24

Build is broken; I tried to fix the PKGBUILD: http://sprunge.us/iSHQ
But now it fails when running ld.

encelo commented on 2014-07-16 22:43

Updated to 2.2.5

encelo commented on 2014-04-26 16:24

Updated to 2.2.4

encelo commented on 2013-12-14 15:44

Updated to 2.2.2

aleclitvinov commented on 2013-10-30 14:00

successfully built from svn, package available here:
https://aur.archlinux.org/packages/lives-svn/

aleclitvinov commented on 2013-10-14 11:24

Same error here, looks like the application relies on some obsolete ffmpeg code: as I understand it, type CodecID was renamed AVCodecID months ago. Can anyone tell whether it's possible to patch lives-plugins/plugins/decoders/asf_decoder.c so that it could be compiled against current version of ffmpeg?

btw 2.0.6 is out but the bug is still there. I'm gonna report it upstream and try downgrading ffmpeg but it will most likely break the rest of multimedia software. I'm marking the package out of date.

thoth commented on 2013-09-24 23:43

Same error here as DaveCode, anyone run across a solution? Maybe it's a missing lib or something that got moved?

asf_decoder.c:66:21: error: return type is an incomplete type
static enum CodecID ff_codec_get_id(const AVCodecTag *tags, unsigned int tag)
^
asf_decoder.c: In function 'ff_codec_get_id':
asf_decoder.c:71:7: warning: 'return' with a value, in function returning void [enabled by default]
return tags[i].id;
^
asf_decoder.c:74:5: warning: implicit declaration of function 'toupper' [-Wimplicit-function-declaration]
if( toupper((tag >> 0)&0xFF) == toupper((tags[i].tag >> 0)&0xFF)
^
asf_decoder.c:78:7: warning: 'return' with a value, in function returning void [enabled by default]
return tags[i].id;
^
asf_decoder.c:80:3: warning: 'return' with a value, in function returning void [enabled by default]
return CODEC_ID_NONE;
^

DaveCode commented on 2013-09-22 03:47

Build failure on i686 under pacaur

asf_decoder.c: In function 'attach_stream':
asf_decoder.c:1351:30: error: void value not ignored as it ought to be

Please see about official repos. This one's a big build and has beaucoup votes. Thanks for all your efforts.

gilmoreja commented on 2013-08-29 21:42

Same issue here.
http://pastebin.com/fGS8av8M

pmros commented on 2013-08-16 23:34

I can't install it.
Errors: https://gist.github.com/pmros/6254407

encelo commented on 2013-06-22 12:11

Updated to 2.0.5

encelo commented on 2013-05-26 15:18

Updated depends and optdepends arrays, thanks rtfreedman.

rtfreedman commented on 2013-05-23 15:33

'mjpegtools' is listed in depends() & optdepends().
Lives does not depend on 'pulseaudio' but on 'libpulse' (client side lib).
'libavc1394' depends on 'libraw1394' - but it is listed in optdepends()
Opt|Depends on 'dvgrab' and it pulls in needed 1394 libs, libdv and others.
'mkvtoolnix' is confusing and does not exist. Use 'mkvtoolnix-cli'

rtfreedman commented on 2013-05-22 19:19

'mjpegtools' is listed in depends() & optdepends().
Lives does not depend on 'pulseaudio' but on 'libpulse' (client side lib).
'libavc1394' depends on 'libraw1394' - but it is listed in optdepends()
Opt|Depends on 'dvgrab' and it pulls in needed 1394 libs, libdv and others.
'mkvtoolnix' is confusing and does not exist. Use 'mkvtoolnix-cli',
which 'Provides: mkvtoolnix, Conflicts With: mkvtoolnix, Replaces: mkvtoolnix'

encelo commented on 2013-05-08 20:35

Updated to 2.0.4

encelo commented on 2013-04-10 22:19

Updated to 2.0.3

encelo commented on 2013-04-07 21:37

Updated to 2.0.2

jwm-art commented on 2013-02-03 19:54

ton of build errors:
http://pastebin.com/aiJJPkSZ
don't know what's causing them.. versions? lack of library not detected as missing? any ideas?

encelo commented on 2013-01-28 23:24

Updated to 1.8.2

m13253 commented on 2013-01-28 04:03

It seems jack is also an optional dep of it. (I saw it checking for jack when ./configure-ing)

mrbit commented on 2013-01-27 18:44

please Updated to 1.8.2 ..thanks

encelo commented on 2013-01-26 14:29

Updated to 1.8.1

encelo commented on 2012-12-18 19:32

Updated to 1.8.0

encelo commented on 2012-10-21 19:13

Updated to 1.6.4

Anonymous comment on 2012-07-30 14:01

I am now getting the following error:

callbacks.o: file not recognized: Bad value
collect2: error: ld returned 1 exit status
make[1]: *** [lives-exe] Error 1
make[1]: Leaving directory `/tmp/packerbuild-1000/lives/lives/src/lives-1.6.2/src'
make: *** [all-recursive] Error 1

kama commented on 2012-07-24 09:51

Same error as ikke

Anonymous comment on 2012-07-22 21:08

Same error as ikke.

kama commented on 2012-07-16 12:04

Same error like ikke.

ikke commented on 2012-07-12 14:16

Getting an error while compiling.

The full error can be found here: https://gist.github.com/739e947388e697551a60

"asf_decoder.c:1331:21: error: 'AVCodecContext' has no member named 'palctrl'"

encelo commented on 2012-06-30 18:57

Added 'pulseaudio' as a dependency and removed the non existent 'pulse' optional dependency.

Anonymous comment on 2012-06-30 00:06

How about making pulse-audio a dependency?

I don't have pulse-audio installed on my system, however the program built and installed correctly, attempts to run, but refuses to start:

LiVES warning: Unable to connect to pulseaudio server

I'll take a look at the source and see what's up, but if the program is requiring/recommending pulse, then I think it should be a dependency.

encelo commented on 2012-06-24 17:45

- /bin/touch -> /usr/bin/touch fixed

Anonymous comment on 2012-06-24 17:34

IT WORKS.
TNX

add

find -type f -exec sed -i 's:/bin/touch:/usr&:g' {} \;

above ./configure so that people don't have to symlink touch...

encelo commented on 2012-06-24 17:21

Updated to 1.6.2
- Added ffmpeg as a dependency
- Removed libtheora and libvorbis as dependencies (covered by ffmpeg)
- Removed jack and perl as dependencies (covered by mplayer)

gtmanfred commented on 2012-05-15 17:11

add

find -type f -exec sed -i 's:/bin/touch:/usr&:g' {} \;

above ./configure so that people don't have to symlink touch...

Oncer commented on 2012-04-30 14:43

missing 'glee' build dependency

Anonymous comment on 2012-04-29 15:03

I confirm the /bin/touch issue. Should this be reported upstream? This isn't effecting only the Arch distribution; touch can be installed at any location.

wirew0rm commented on 2012-04-14 19:56

i had to create a the symlink /bin/touch to get the startup wizzard working because it tried to check if it can write to the chosen direktory. i got something like "lives was unable to create/write into the given directory. please check permissions" and on stdout: "sh: /bin/touch: No such file or directory"

matthiaskrgr commented on 2012-02-07 20:16

When I tried to run
lives video.mp4
I got
lives: error while loading shared libraries: libweed_slice.so.0: cannot open shared object file: No such file or directory

encelo commented on 2012-02-04 16:29

Updated to 1.6.1

Anonymous comment on 2012-01-20 21:44

Thanks. Just to clarify, you don't actually need to install the static libs - except in dev pakages, but you must make sure you compile the source (for lives plugins) against the static versions.

encelo commented on 2012-01-17 20:39

Project URL corrected and patch removed.

Anonymous comment on 2012-01-17 01:54

I am the upstream author BTW.

Anonymous comment on 2012-01-17 01:54

Hi,
1) please can you correct the project URL, it should be http://lives.sourceforge.net

2) I have added quotation marks in Makefiles.am upstream. Thanks.

3) Please DO NOT mess with the install by adding --disable-static. You will most likely cause instability in the program. Certain of the libraries need to be statically linked.


encelo commented on 2012-01-14 16:38

Updated to 1.6.0

dvzrv commented on 2012-01-08 18:27

since revision -2 I got this when trying to run lives:
"lives: error while loading shared libraries: libweed_slice.so.0: cannot open shared object file: No such file or directory"
please fix!

encelo commented on 2012-01-07 15:11

- No more "|| return 1"
- makedepends array removed
- Quotation marks added around $srcdir and $pkgdir variables
- Configured with "--disable-static"

Huulivoide commented on 2012-01-07 14:15

Also adding --disable-static to configure might be good idea...
Who wants to have static libs in Arch???? Shared libs work 100%
well in Arch....

Huulivoide commented on 2012-01-07 13:54

use || return 1 is deprecated and not used anymore, please remove that
also all of the make depends are included in base and base-devel groups
which everyone should have installed, before doing anything with AUR...

Oh and please add "" aroud $srcdir and $pkgdir, becouse whit out those
building in dirs like "/home/peters/aur build" will fail becouse it
contains a space...

encelo commented on 2012-01-05 20:11

Updated to 1.4.9

polslinux commented on 2012-01-02 19:30

Please could you update or orphane this package so i can maintain it?
Thanks :)

ryosei commented on 2011-12-03 07:53

1.4.8 is out:
http://www.xs4all.nl/%7Esalsaman/lives/current/LiVES-1.4.8.tar.bz2

erm67 commented on 2011-11-21 21:23

Doesn't compile, this small patch fixes the problem:

>>>>>>>

--- lives-1.4.7.old/lives-plugins/plugins/decoders/asf_decoder.c 2011-09-18 21:31:04.000000000 +0200
+++ lives-1.4.7/lives-plugins/plugins/decoders/asf_decoder.c 2011-11-21 22:14:08.490793008 +0100
@@ -1227,7 +1227,7 @@
snprintf(cdata->audio_name,16,"unknown");

} else if (type == LIVES_MEDIA_TYPE_VIDEO) {
- priv->st->codec->codec_type = CODEC_TYPE_VIDEO;
+ priv->st->codec->codec_type = AVMEDIA_TYPE_VIDEO;
if (vidindex!=-1&&vidindex!=priv->st->id) {
fprintf(stderr, "asf_decoder: unhandled multiple vidstreams %d and %d in %s\n",vidindex,priv->st->id,cdata->URI);
got_vidst=TRUE;
<<<<<

sebcactus commented on 2011-10-17 09:47

Works if we first uninstall lives (probably detects the already installed libweed and does not build it again)

sebcactus commented on 2011-10-17 09:41

not running on x86_64:
lives: error while loading shared libraries: libweed_slice.so.0: cannot open shared object file: No such file or directory

Apparently the libweed library is not properly installed

encelo commented on 2011-10-15 18:15

Updated to 1.4.7

encelo commented on 2011-09-03 00:08

Updated to 1.4.6

encelo commented on 2011-07-24 21:39

Updated to 1.4.5

encelo commented on 2011-06-14 18:53

- Updated to 1.4.4
- The previous patch is no more needed.

encelo commented on 2011-06-08 21:41

Added a patch to allow compilation on kernel >= 2.6.38.

Anonymous comment on 2011-05-18 00:49

Thanks for the patch it compiled worked out well.

Anonymous comment on 2011-04-28 00:26

Lives fails to compile on linux-2.6.38 kernels.

I've added a patch at https://sourceforge.net/tracker/?func=detail&aid=3294094&group_id=64341&atid=507141 that should make lives compile on kernel linux-2.6.38

You will need to install libv4l if it is not present on your system.

imadalin commented on 2011-04-27 14:41

can't compile with kernel 2.6.38, linux/videodev.h is no longer included in the kernel source. is there anyway to compile it without videodev.h?

encelo commented on 2011-03-27 20:48

Updated to 1.4.2

encelo commented on 2011-02-21 21:01

Updated to 1.4.1

rwd2 commented on 2010-12-25 18:55

in 'tools -> preferences' no settings can be changed here.

ganymede commented on 2010-11-28 19:48

Thank you salsaman & encelo.

encelo commented on 2010-11-28 12:59

Added a patch for the file frei0r.c

hokum commented on 2010-11-28 09:57

yep, patch works!
Please, update pkgbuild

hokum commented on 2010-11-28 08:57

So, does it means that 1.3.10 can not be build succesfully with current arch version of frei0r-plugins - 1.2.1-1 without that patch?

Anonymous comment on 2010-11-28 06:41

Hey I have an idea, why don't we ask the project developers ?

LOL, no that would be too hard !


http://lives.svn.sourceforge.net/viewvc/lives/trunk/lives-plugins/weed-plugins/frei0r.c?r1=854&r2=895&view=patch

;-)

Regards,
Salsaman,
main developer, LiVES

frankspace commented on 2010-11-28 01:56

Thanks! I don't think it's that, though. The list of linked libraries in my version of lives 1.3.4 (the last one I got to compile) is the same, other than linking to linux-vdso.so.1 instead of linux-gate.so.1, which I understand to be irrelevant because they're both just virtual DSOs. So I don't think it's a missing dependency, unless maybe it's a build dependency or something. Otherwise, I link to /lib/ld-linux-x86-64.so.2, whereas I see you link to /lib/ld-linux.so.2. Is it possible that this is a 64-bit issue?

encelo commented on 2010-11-27 20:46

Of course, here it is: http://aur.pastebin.com/nBYtiFdb

frankspace commented on 2010-11-27 20:09

encelo, can you run "ldd /usr/bin/lives" on your system with the latest version and tell us what you get? If there really is a dependency issue, that might help identify it.

encelo commented on 2010-11-26 22:51

I can compile the program without issues.
Maybe I'm just missing a dependency in the depends array.

drankinatty commented on 2010-11-26 09:38

I guess that make me "me 3". Seems like a missing declaration f0r_inst that I saw scroll by somewhere near the beginning of the compile. Hopefully we can get this worked out.

kama commented on 2010-11-23 15:13

Me too.

frankspace commented on 2010-11-21 18:35

I have the same problem as ganymede.

ganymede commented on 2010-11-03 23:06

Failed to compile version 1.3.10-1 :
frei0r.c: In function ‘weed_setup’:
frei0r.c:540:9: erreur: ‘f0r_inst’ undeclared (first use in this function)
frei0r.c:540:9: note: each undeclared identifier is reported only once for each function it appears in
frei0r.c:564:6: erreur: lvalue required as left operand of assignment
frei0r.c:598:23: erreur: ‘inst’ undeclared (first use in this function)

encelo commented on 2010-11-03 21:47

- Updated to 1.3.10
- Added a patch for the file callbacks.c (thanks Mantas)

Anonymous comment on 2010-10-31 23:58

i've edited LiVES-1.3.10/src/callbacks.c and pssed compilation.
https://tornado.ktu.lt/~mantas/diff/lives/callbacks.diff
*** callbacks.c Mon Nov 1 00:53:26 2010
--- callbacks_changed.c Mon Nov 1 00:53:10 2010
***************
*** 8260,8266 ****

if (prefs->audio_player==AUD_PLAYER_JACK) {
#ifdef ENABLE_JACK
! if (mainw->jackd!=NULL&&mainw->jackd->in_use) avsync=(gdouble)mainw->pulsed->seek_pos/cfile->arate/cfile->achans/cfile->asampsize*8;
else return FALSE;
#else
return FALSE;
--- 8260,8266 ----

if (prefs->audio_player==AUD_PLAYER_JACK) {
#ifdef ENABLE_JACK
! if (mainw->jackd!=NULL&&mainw->jackd->in_use) avsync=(gdouble)mainw->jackd->seek_pos/cfile->arate/cfile->achans/cfile->asampsize*8;
else return FALSE;
#else
return FALSE;

Anonymous comment on 2010-10-31 22:22

1.3.10 doesn't compile for me too.
callbacks.c: In function 'show_sync_callback':
callbacks.c:8263: warning: dereferencing 'void *' pointer
callbacks.c:8263: error: request for member 'seek_pos' in something not a structure or union
make[1]: *** [callbacks.o] Error 1

Anonymous comment on 2010-10-08 20:19

Now 1.3.10 is the latest but it did not compile on my system (error below) and 1.3.9 is not available for download anymore.
callbacks.c:8263:80: error: request for member ‘seek_pos’ in something not a structure or union
make[1]: *** [callbacks.o] Error 1

but lives 1.3.4-1 works fine so I am using it.

axil42 commented on 2010-09-19 17:15

Latest development version: 1.3.9 for GNU/Linux and UNIX systems (released 16 Sep. 2010)
:-)

encelo commented on 2010-07-10 21:23

Updated to 1.3.4

encelo commented on 2010-05-09 17:10

Updated to 1.3.3

encelo commented on 2010-05-09 17:10

Upgraded to 1.3.3